Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class MathWriter

    java.lang.Object
      java.io.Writer
          biouml.plugins.simulation.MathWriter

public class MathWriter
extends java.io.Writer

Field Summary
`protected java.lang.StringBuffer` | `buffer`
`protected int` | `declarationPosition`
`protected static java.lang.String` | `endl`
`protected Formatter` | `formatter`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`MathWriter(Formatter formatter)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `print(java.lang.String str)`
`void` | `setDeclarationPoint()` Sets up current position as the best point for involved declarations (such as piecewise terms of function declarations)
`java.lang.String` | `toString()`
`void` | `write(char[] cbuf, int off, int len)`
`protected void` | `writeDeclaration(java.lang.String declaration)`
`void` | `writeMath(AstStart expression, Role role)`

Methods inherited from class java.io.Writer
`write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endl

    protected static java.lang.String endl

### buffer

    protected java.lang.StringBuffer buffer

### formatter

    protected Formatter formatter

### declarationPosition

    protected int declarationPosition

Constructor Detail

### MathWriter

    public MathWriter(Formatter formatter)

Method Detail

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

### close

    public void close()

### flush

    public void flush()

### toString

    public java.lang.String toString()

### setDeclarationPoint

    public void setDeclarationPoint()

  Sets up current position as the best point for involved declarations (such as piecewise terms of function declarations)

### writeMath

    public void writeMath(AstStart expression,
                          Role role)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDeclaration

    protected void writeDeclaration(java.lang.String declaration)

### print

    public void print(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.